Bug 1323263 - gmsh: Provide a Python 3 subpackage
Summary: gmsh: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gmsh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-01 16:20 UTC by Tomas Orsava
Modified: 2019-01-09 12:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-15 23:24:30 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-01 16:20:25 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 16:29:44 UTC
Hello Sandro,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Sandro Mani 2016-04-24 21:26:22 UTC
Hi
Sorry this has fallen off my radar. I'll try and give it a look this week.

Comment 3 Sandro Mani 2016-04-27 07:28:44 UTC
I'm hesitant to make any changes to the package since I don't have the familiarity with the onelab module to fully understand the implications porting it to python3. Is it really worth it to diverge with upstream and risk downstream breakage? I suppose this scenario will apply to most scientific software packages, whose upstream are typically pretty conservative with adopting new technologies.

Comment 4 Tomas Orsava 2016-04-27 09:24:45 UTC
I'm sorry about the misunderstanding, I'm not asking you to port the package yourself (though if you were so inclined and worked with upstream on it instead of diverging that would be greatly appreciated).

Our analysis resulted in our belief that upstream already supports Python 3, but judging Python 3 support is a perilous task, so if that isn't so, I apologize for the misfiled bug.

Since you as a packager have the greatest familiarity with upstream here, I would like to ask you to check if they haven't added Python 3 support recently. If not, it would be great if you could create an issue in the upstream issue tracker (or ping an already existing one), that way we can close this bugreport as reported upstream (CLOSED UPSTREAM).

Comment 5 Jan Kurik 2016-07-26 04:39:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 6 Fedora End Of Life 2017-11-16 18:50:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:53:11 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Miro Hrončok 2017-12-12 12:10:30 UTC
Still relevant.

Comment 9 Sandro Mani 2017-12-15 23:24:30 UTC
Done in gmsh-3.0.6-2.fc28


Note You need to log in before you can comment on or make changes to this bug.